Package com.orchestranetworks.rest.serialization

# Class ContentHolderForInput

java.lang.Object
com.orchestranetworks.rest.serialization.ContentHolder
com.orchestranetworks.rest.serialization.ContentHolderForInput

public abstract class ContentHolderForInput extends ContentHolder
Provides a facade to automatically parse a part of the request body that may represent a table record.

The parsed data can later be copied into a `ValueContextForUpdate` to create a new table record or update an existing one.

Since:
  6.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final ContentHolderForInput`
  `asContentHolderForInput()`
  Unwraps this `ContentHolder` to get a `ContentHolderForInput` if it has been instantiated as so.
  `abstract void`
  `copyTo(ValueContextForUpdate aValueContextForUpdate)`
  Fills the provided `ValueContextForUpdate` with the data holds in this `ContentHolderForInput`.
  `final boolean`
  `isForInput()`
  Returns `true` if this content holder is for input, `false` otherwise.

  ### Methods inherited from class com.orchestranetworks.rest.serialization.ContentHolder

  `get, get, getBoolean, getDate, getInt, getList, getString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### isForInput

    public final boolean isForInput()
    Description copied from class: `ContentHolder`
    Returns `true` if this content holder is for input, `false` otherwise.
    Specified by:
      `isForInput` in class `ContentHolder`
    See Also:
      - `ContentHolder.isForInput()`

  - ### asContentHolderForInput

    public final ContentHolderForInput asContentHolderForInput()
    Description copied from class: `ContentHolder`
    Unwraps this `ContentHolder` to get a `ContentHolderForInput` if it has been instantiated as so.
    Specified by:
      `asContentHolderForInput` in class `ContentHolder`
    Returns:
      the unwrapped `ContentHolderForInput`.
    See Also:
      - `ContentHolder.asContentHolderForInput()`

  - ### copyTo

    public abstract void copyTo(ValueContextForUpdate aValueContextForUpdate)
    Fills the provided `ValueContextForUpdate` with the data holds in this `ContentHolderForInput`.
    Parameters:
      `aValueContextForUpdate` - the `ValueContextForUpdate` to fill.